For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download Activity Log entries.

This operation returns the actual activity log data related to the specific contractNumber supplied in the request. The amount of data returned can be limited by providing one or both of the optional dateStart and dateEnd parameters.

If valid values for both dateStart and dateEnd are supplied, then the activity log information for the date range specified will be returned. Omitting either dateStart or dateEnd will return all entries available after dateStart or before dateEnd.

For pagination use the offset and limit parameters.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
contractNumberintegerRequired

Contract number thats activity log entires should be downloaded.

Query parameters
dateStartstringOptional

Start date for the Activity Log entries (inclusive) (e.g. '2021-09-23T11:43:51Z' or '2016-07-01')

dateEndstringOptional

End date for the Activity Log entries (exclusive) (e.g. '2021-09-27T10:31:15Z' or '2016-07-30')

offsetintegerOptional

Page index ( the number of hits to skip )

Default: 0
limitinteger · min: 1 · max: 10000Optional

Page size ( the maximum number of hits to return )

Default: 20
Responses
200

Downloading activity log entries

application/json

Activity log data related to the specific contractId

get/activitylog/v1/contracts/{contractNumber}
GET /activitylog/v1/contracts/{contractNumber} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "hits": {
    "total": 1,
    "hits": [
      {
        "_source": {
          "@uuid": "c1b9b1b0-7b1b-11e6-9a41-000d3a002f99",
          "meta": {
            "auditVersion": 0.1,
            "time": "2016-09-23T12:02:52.394Z"
          },
          "principal": {
            "sourceIP": "203.0.113.42",
            "identity": {
              "contractNumber": 31721060,
              "username": "user@example.com"
            },
            "sourceService": "ExampleService"
          },
          "event": {
            "param": {},
            "resources": [
              {
                "action": [
                  "sec.user.create"
                ],
                "id": "1466",
                "type": "user"
              }
            ],
            "type": "RequestAccepted"
          }
        }
      }
    ]
  }
}

Last updated

Was this helpful?